## xgraph 12.1

=== debian/changelog ===
xgraph (12.1-17) unstable; urgency=low

  * prevent use of the Hdcpy button from segfaulting by defining NE as the
    right kind of null pointer (closes: #706636)
  * bump policy version
  * tweak debian git repo urls to current debian repo url naming scheme

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 19 Sep 2013 15:02:12 +0100

xgraph (12.1-16) unstable; urgency=low

  * bump to dh9
  * bump policy version
  * remove unnecessary override from debian/rules
  * work around format string security warning
  * work around minor pointer integer size mismatch

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 24 Apr 2012 13:54:57 +0100

xgraph (12.1-15) unstable; urgency=low

  * silence some lintian debian/rules and man page warnings
  * dh --with autoreconf
  * segfault patch, thanks to Jim Meyering (closes: #647889)
  * bump debian policy version
  * single debian patch dpkg source option

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 07 Nov 2011 11:32:39 +0000

xgraph (12.1-14) unstable; urgency=low

  * bump standards version (debian/control)
  * dh --parallel, dh --with autotools_dev (debian/rules)
  * dh 8 (debian/compat, debian/control)
  * refresh autotools

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 28 Feb 2011 10:09:43 +0000

xgraph (12.1-13) unstable; urgency=low

  * bump deb standards
  * Switch to dpkg-source 3.0 (quilt) format

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 25 Mar 2010 18:56:41 +0000

xgraph (12.1-12) unstable; urgency=low

  * rename getline (now stepped on by libc) to get_line (closes: #552904)
  * support uscan with debian/watch
  * rev deb std
  * shorten/simplify debian/rules

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 29 Oct 2009 14:01:54 -0400

xgraph (12.1-11) unstable; urgency=low

  * move from CVS to /git/collab-maint
  * add corresponding debian/control VCS fields

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 08 Mar 2009 21:00:13 +0000

xgraph (12.1-10) unstable; urgency=low

  * remove bashism from debian/rules (closes: #478641)
  * integrate NMU 12.1-9.1; thanks Ben!
  * xgraph(1) patch from A. Costa (closes: #465521)
  * rev deb policy version
  * rev debhelper version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 30 Jul 2008 16:24:00 +0200

xgraph (12.1-9.1) unstable; urgency=low

  * Non-maintainer upload
  * Invoke aclocal *before* autoconf (closes: #463470)

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 29 Jul 2008 00:02:25 +0100

xgraph (12.1-9) unstable; urgency=low

  * invoke aclocal in debian/rules to update configure.in (closes: #463470)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun,  3 Feb 2008 10:00:22 +0000

xgraph (12.1-8) unstable; urgency=low

  * minor lintian warnings, dated alternative build dependencies

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 30 Jan 2008 13:30:38 +0000

xgraph (12.1-7) unstable; urgency=low

  * policy rev
  * update to recent autoconf, automake, include depcomp (closes: #450453)
  * modernize C code to flush some warnings, of various levels of scariness

 -- Barak A. Pearlmutter <bap@debian.org>  Thu,  6 Dec 2007 11:15:01 +0000

xgraph (12.1-6) unstable; urgency=low

  * allow unadorned automake name to be reclaimed (closes: #381616)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon,  7 Aug 2006 10:16:43 +0100

xgraph (12.1-5) unstable; urgency=low

  * account for broken (apart) xlibs (closes: #346816)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon,  9 Jan 2006 14:34:24 +0000

xgraph (12.1-4) unstable; urgency=low

  * includes for Malloc/Calloc protos for 64-bit arch (closes: #327101)
  * Bump standards version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed,  7 Sep 2005 17:01:42 -0600

xgraph (12.1-3) unstable; urgency=low

  * suggest ygraph now that it's packaged
  * rev standards version
  * integrate NMU

 -- Barak A. Pearlmutter <bap@debian.org>  Wed,  3 Sep 2003 10:43:26 -0600

xgraph (12.1-2.1) unstable; urgency=low

  * NMU (Bugsquash Party)
  * Automaticaly update config.sub/guess following autotools-dev doc
    (closes: #204242)
  * Bump Standards Version

 -- Pierre Machard <pmachard@debian.org>  Tue,  2 Sep 2003 09:44:11 +0200

xgraph (12.1-2) unstable; urgency=low

  * change order of operands to commutative operator (closes: #182122)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 24 Feb 2003 01:13:21 +0000

xgraph (12.1-1) unstable; urgency=low

  * debian build policy updates (closes: #170209)
  * new upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 21 Feb 2003 18:43:05 +0000

xgraph (11.3.2-2) unstable; urgency=low

  * get rid of some compiler warnings.
  * add build dependencies (closes: #114717)

 -- Barak Pearlmutter <bap@cs.unm.edu>  Sun,  7 Oct 2001 02:21:03 -0600

xgraph (11.3.2-1) unstable; urgency=low

  * Initial Release.  (closes: #113904)

 -- Barak Pearlmutter <bap@cs.unm.edu>  Sat, 29 Sep 2001 15:06:22 -0600
