=== debian/control ===
Source: xgraph
Section: math
Priority: optional
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9),
	libx11-dev, x11proto-core-dev,
	dh-autoreconf
Vcs-Git: git://anonscm.debian.org/collab-maint/xgraph.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xgraph.git

Package: xgraph
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: ygraph
Description: Plotting program, reads stdin, allows interactive zooming
 Accepts data files or stdin in a form similar to the unix program
 graph and displays line graphs, scatter plots, or bar charts on an
 X11 display.  Fully annotated with title, axis numbering and labels,
 and legend.  Zooming with the mouse is supported.  Can generate
 hardcopy output to Postscript printers and HPGL plotters.  Output can
 be directly pasted into idraw (drawtool) for further annotation.
 Particularly useful in shell scripts.  Also see "ygraph" which is a
 similar tool using an attractive albeit slower modern graphics
 library, which is under active maintenance and development.
